mav_paletteLightingModelSet(3)

NAME
mav_paletteLightingModelSet - Set palette lighting model.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteLightingModelSet(MAV_palette *p, float ar, float ag, float ab, float aa, int local);

ARGUMENTS

MAV_palette *p
    Palette to set.

float ar,
    RGBA components of ambient colour (0.0 - 1.0)

int local
    Local or infinite viewpoint.

DESCRIPTION
This function sets the lighting model for palette p. The ambient component of the light is given by (ar, ag, ab, aa). local specifies whether the viewpoint is local (local = MAV_TRUE) or inifinite (local = MAV_FALSE).